Ignore:
Files:
1 added
5 edited

Legend:

Unmodified
Added
Removed
  • MANIFEST.in

    r9621 r10338  
    1 recursive-include source *.bat *.c *.cpp *.h *.hpp *.mak COPYRIGHT *.py *.txt *.sip 
    2 recursive-include docs *.rst *.py *.png 
     1recursive-include Orange * 
     2recursive-include source *.bat *.c *.cpp *.h *.hpp *.mak COPYRIGHT *.py *.txt *.sip *.defs *.cmake 
     3recursive-include docs *.rst *.py *.png *.css 
    34graft docs/sphinx-ext 
    45graft distribute 
     6include COPYING 
     7include LICENSES 
     8include setup-site.cfg 
     9include setupegg.py 
     10include setup.py 
  • Orange/multitarget/tree.py

    r10092 r10335  
    6262class MultitargetVariance(Orange.feature.scoring.Score): 
    6363    """ 
    64     A multi-target score that ranks features based on the variance of the 
    65     subsets. A weighted distance can be used to compute the variance. 
     64    A multi-target score that ranks features based on the average class 
     65    variance of the subsets. 
     66 
     67    To compute it, a prototype has to be defined for each subset. Here, it 
     68    is just the mean vector of class variables. Then the sum of squared 
     69    distances to the prototypes is computed in each subset. The final score 
     70    is obtained as the average of subset variances (weighted, to account for 
     71    subset sizes). 
     72     
     73    Weights can be passed to the constructor to normalize classes with values 
     74    of different magnitudes or to increase the importance of some classes. In 
     75    this case, class values are first scaled according to the given weights. 
    6676    """ 
    6777 
    6878    def __init__(self, weights=None): 
    6979        """ 
    70         :param weights: Weights of the features used when computing distances. 
    71                         If None, all weights are set to 1. 
     80        :param weights: Weights of the class variables used when computing 
     81                        distances. If None, all weights are set to 1. 
    7282        :type weigts: list 
    7383        """ 
  • install-scripts/mac/bundle-build-hg.sh

    r10277 r10336  
    3838echo "===================================" 
    3939./bundle-inject-hg.sh https://bitbucket.org/biolab/orange-addon-text text $REVISION $REPOS_DIR ${TMP_BUNDLE_DIR}/Orange.app 
     40 
     41echo "Installing distribute" 
     42echo "+++++++++++++++++++++" 
     43./bundle-inject-pypi.sh distribute-0.6.24 http://pypi.python.org/packages/source/d/distribute/distribute-0.6.24.tar.gz $REPOS_DIR ${TMP_BUNDLE_DIR}/Orange.app 
     44 
     45# TODO: from here on we could use easy_install to install pip and then use that 
     46echo "Installing suds library" 
     47echo "+++++++++++++++++++++++" 
     48./bundle-inject-pypi.sh suds-0.4 http://pypi.python.org/packages/source/s/suds/suds-0.4.tar.gz $REPOS_DIR ${TMP_BUNDLE_DIR}/Orange.app 
    4049 
    4150echo "Removing unnecessary files." 
  • install-scripts/mac/dailyrun.sh

    r10272 r10337  
    3939/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    4040 
    41 /Users/ailabc/bundle-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/bundle-daily-build.log 
    42 EXIT_VALUE=$? 
    43  
    44 /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    45  
    46 echo "Orange (bundle $MAC_VERSION) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
    47 date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
    48 cat /private/tmp/bundle-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
    49 (($EXIT_VALUE)) && echo "Running bundle-daily-build.sh failed" 
    50  
    5141## Daily build from hg 
    5242/Users/ailabc/bundle-daily-build-hg.sh &> /private/tmp/bundle-daily-build.log 
     
    6151 
    6252 
    63 /Users/ailabc/bundle-64bit-daily-build.sh $DAILY_REVISION &> /private/tmp/bundle-64bit-daily-build.log 
    64 EXIT_VALUE=$? 
     53#/Users/ailabc/bundle-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/bundle-daily-build.log 
     54#EXIT_VALUE=$? 
     55# 
     56#/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
     57# 
     58#echo "Orange (bundle $MAC_VERSION) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
     59#date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
     60#cat /private/tmp/bundle-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
     61#(($EXIT_VALUE)) && echo "Running bundle-daily-build.sh failed" 
     62# 
     63#/Users/ailabc/bundle-64bit-daily-build.sh $DAILY_REVISION &> /private/tmp/bundle-64bit-daily-build.log 
     64#EXIT_VALUE=$? 
    6565 
    66 /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    67  
    68 echo "Orange (bundle $MAC_VERSION 64bit) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
    69 date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
    70 cat /private/tmp/bundle-64bit-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
    71 (($EXIT_VALUE)) && echo "Running bundle-64bit-daily-build.sh failed" 
     66#/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
     67# 
     68#echo "Orange (bundle $MAC_VERSION 64bit) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
     69#date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
     70#cat /private/tmp/bundle-64bit-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
     71#(($EXIT_VALUE)) && echo "Running bundle-64bit-daily-build.sh failed" 
    7272 
    7373/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log 
  • setup.py

    r10352 r10353  
    2424    setuptools_args = {"zip_safe": False, 
    2525                       "install_requires": ["numpy"], 
    26                        "extra_requires": ["networkx", "PyQt4", "PyQwt"] 
     26                       "extra_requires": {"GUI": ["networkx", "PyQt4", 
     27                                                  "PyQwt"]} 
    2728                      } 
    2829else: 
     
    578579                             ], 
    579580       
    580       package_data = {"Orange": [ 
    581           "OrangeCanvas/icons/*.png", 
    582           "OrangeCanvas/orngCanvas.pyw", 
    583           "OrangeCanvas/WidgetTabs.txt", 
    584           "OrangeWidgets/icons/*.png", 
    585           "OrangeWidgets/icons/backgrounds/*.png", 
    586           "OrangeWidgets/report/index.html", 
    587           "OrangeWidgets/Associate/icons/*.png", 
    588           "OrangeWidgets/Classify/icons/*.png", 
    589           "OrangeWidgets/Data/icons/*.png", 
    590           "OrangeWidgets/Evaluate/icons/*.png", 
    591           "OrangeWidgets/Prototypes/icons/*.png", 
    592           "OrangeWidgets/Regression/icons/*.png", 
    593           "OrangeWidgets/Unsupervised/icons/*.png", 
    594           "OrangeWidgets/Visualize/icons/*.png", 
    595           "OrangeWidgets/Visualize/icons/*.png", 
    596           "OrangeWidgets/Visualize/icons/*.png", 
    597           "OrangeWidgets/plot/*.gs", 
    598           "OrangeWidgets/plot/*.vs", 
    599           "OrangeWidgets/plot/primitives/*.obj", 
    600           "doc/datasets/*.tab", 
    601           "orangerc.cfg"] 
    602                       }, 
     581      package_data = { 
     582          "Orange" : ["orangerc.cfg"], 
     583          "Orange.OrangeCanvas": ["icons/*.png", "orngCanvas.pyw", "WidgetTabs.txt"], 
     584          "Orange.OrangeWidgets":["icons/*.png", "icons/backgrounds/*.png", "report/index.html"], 
     585          "Orange.OrangeWidgets.Associate": ["icons/*.png"], 
     586          "Orange.OrangeWidgets.Classify": ["icons/*.png"], 
     587          "Orange.OrangeWidgets.Data": ["icons/*.png"], 
     588          "Orange.OrangeWidgets.Evaluate": ["icons/*.png"], 
     589          "Orange.OrangeWidgets.Prototypes": ["icons/*.png"], 
     590          "Orange.OrangeWidgets.Regression": ["icons/*.png"], 
     591          "Orange.OrangeWidgets.Unsupervised": ["icons/*.png"], 
     592          "Orange.OrangeWidgets.Visualize": ["icons/*.png"], 
     593          "Orange.OrangeWidgets.plot": ["*.gs", "*.vs"], 
     594          "Orange.OrangeWidgets.plot/primitives": ["*.obj"], 
     595          "doc/datasets": ["*.tab"], 
     596          }, 
    603597      ext_modules = [include_ext, orange_ext, orangeom_ext, 
    604598                     orangene_ext, corn_ext, statc_ext], 
Note: See TracChangeset for help on using the changeset viewer.